javax.persistence

## Interface PersistenceUtil

All Known Subinterfaces:
  PersistenceUnitUtil

    public interface PersistenceUtil

Utility interface between the application and the persistence provider(s).

The `PersistenceUtil` interface instance obtained from the `Persistence` class is used to determine the load state of an entity or entity attribute regardless of which persistence provider in the environment created the entity.

Since:
  Java Persistence 2.0

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isLoaded(Object entity)` Determine the load state of an entity.
`boolean` `isLoaded(Object entity, String attributeName)` Determine the load state of a given persistent attribute.

### Method Detail

#### isLoaded

    boolean isLoaded(Object entity,
                     String attributeName)

Determine the load state of a given persistent attribute.

Parameters:
  `entity` - entity containing the attribute
  `attributeName` - name of attribute whose load state is to be determined
Returns:
  false if entity's state has not been loaded or if the attribute state has not been loaded, else true

#### isLoaded

    boolean isLoaded(Object entity)

Determine the load state of an entity. This method can be used to determine the load state of an entity passed as a reference. An entity is considered loaded if all attributes for which `FetchType.EAGER` has been specified have been loaded.

The `isLoaded(Object, String)` method should be used to determine the load state of an attribute. Not doing so might lead to unintended loading of state.

Parameters:
  `entity` - whose load state is to be determined
Returns:
  false if the entity has not been loaded, else true